<?php 
if(isset($_GET['menu'])) 
{ 
	session_start(); 
	include_once('../../lib/authentication.php'); 
	$MySQLi = new MySQLi($server, $user_apma, $pass_apma, $db_apma); 
	$MySQLi2 = new MySQLi($server, $user_apma, $pass_apma, $db_apma); 
	switch($_GET['menu']) 
	{ 
		case 'daftar-user'				: $table="a_muser"; $delete="Master User"; $menu="daftar-user"; break; 
		case 'daftar-divisi'			: $table="a_mdivisi"; $delete="Master Divisi"; $menu="daftar-divisi"; break; 
		case 'daftar-gudang'			: $table="a_mgudang"; $delete="Master Gudang"; $menu="daftar-gudang"; break; 
		case 'daftar-produk'			: $table="a_mproduk"; $delete="Master Produk"; $menu="daftar-produk"; break; 
		case 'daftar-harga'				: $table="a_mharga"; $delete="Master Harga"; $menu="daftar-harga"; break; 
		case 'daftar-model-harga'		: $table="a_mmodelharga"; $delete="Master Model Harga"; $menu="daftar-model-harga"; break; 
		case 'daftar-gudang'			: $table="a_mgudang"; $delete="Master Gudang"; $menu="daftar-gudang"; break; 
		case 'daftar-area'				: $table="a_marea"; $delete="Master Area"; $menu="daftar-area"; break; 
		case 'daftar-pelanggan'			: $table="a_mpelanggan"; $delete="Master Pelanggan"; $menu="daftar-pelanggan"; break; 
		case 'daftar-target-salesman-bydivisi'	: $table="a_mtargetsalesdivisi"; $delete="Master Setting Target Salesman By Divisi"; $menu="daftar-target-salesman-bydivisi"; break; 
		case 'daftar-target-salesman'	: $table="a_mtargetsales"; $delete="Master Setting Target Salesman"; $menu="daftar-target-salesman"; break; 
		case 'daftar-target-divisi'		: $table="a_mtargetdivisi"; $delete="Master Setting Target Divisi"; $menu="daftar-target-divisi"; break; 
		case 'daftar-coa'				: $table="a_mcoa"; $delete="Master COA"; $menu="daftar-coa"; break; 
		case 'daftar-counter'			: $table="a_mcounter"; $delete="Master Counter"; $menu="daftar-counter"; break; 
//catatan pembelian barang sama seperti retur penjualan barang
//dan untuk retur pembelian sama seperti penjualan barang
		case 'daftar-terima-barang'		: $table="a_transaksi_jualbeli"; $delete="Terima Barang"; $menu="daftar-terima-barang"; 
										include_once('transaksi/persediaan/terima_barang/del.daftar.terima.barang.php');
										break; 
		case 'daftar-tambah-detail-terima-barang'	: $table="a_transaksi_jualbeli_detail"; $delete="terima barang";  
													include_once('transaksi/persediaan/terima_barang/del.daftar.tambah.detail.terima.barang.php');
													break; 
		case 'daftar-retur-beli'		: $table="a_transaksi_jualbeli"; $delete="Retur Pembelian"; $menu="daftar-retur-beli"; 
										include_once('transaksi/persediaan/retur_pembelian/del.daftar.retur.pembelian.php');
										break; 
		case 'daftar-tambah-detail-retur-beli'	: $table="a_transaksi_jualbeli_detail"; $delete="Retur Pembelian";  
												include_once('transaksi/persediaan/retur_pembelian/del.daftar.tambah.detail.retur.pembelian.php');
												break; 
		case 'daftar-jual-barang'		: $table="a_transaksi_jualbeli"; $delete="Penjualan"; $menu="daftar-jual-barang"; 
										include_once('transaksi/persediaan/penjualan/del.daftar.penjualan.php');
										break; 
		case 'daftar-tambah-detail-jual-barang'	: $table="a_transaksi_jualbeli_detail"; $delete="Penjualan";  
												include_once('transaksi/persediaan/penjualan/del.daftar.tambah.detail.penjualan.php');
												break; 
		case 'daftar-retur-jual'		: $table="a_transaksi_jualbeli"; $delete="Retur Penjualan"; $menu="daftar-retur-jual"; 
										include_once('transaksi/persediaan/retur_penjualan/del.daftar.retur.penjualan.php');
										break; 
		case 'daftar-tambah-detail-retur-jual'	: $table="a_transaksi_jualbeli_detail"; $delete="Retur Penjualan";  
													include_once('transaksi/persediaan/retur_penjualan/del.daftar.tambah.detail.retur.penjualan.php');
													break; 
		case 'daftar-stok-masuk'		: $table="a_transaksi_jualbeli"; $delete="Stok Masuk"; $menu="daftar-stok-masuk"; 
										include_once('transaksi/persediaan/stok_masuk_disesuaikan/del.daftar.stok.masuk.php');
										break; 
		case 'daftar-tambah-detail-stok-masuk'	: $table="a_transaksi_jualbeli_detail"; $delete="Stok Masuk"; 
												include_once('transaksi/persediaan/stok_masuk_disesuaikan/del.daftar.tambah.detail.stok.masuk.php');
												break; 
		case 'daftar-stok-keluar'		: $table="a_transaksi_jualbeli"; $delete="Stok Keluar"; $menu="daftar-stok-keluar"; 
										include_once('transaksi/persediaan/stok_keluar_disesuaikan/del.daftar.stok.keluar.php');
										break; 
		case 'daftar-tambah-detail-stok-keluar'	: $table="a_transaksi_jualbeli_detail"; $delete="Stok Keluar";  
												include_once('transaksi/persediaan/stok_keluar_disesuaikan/del.daftar.tambah.detail.stok.keluar.php');
												break; 
		case 'daftar-setor-kasir'		: $table="a_transaksi_setorkasir"; $delete="Transaksi Setoran Kasir"; $menu="daftar-setor-kasir"; 
										  $query="UPDATE a_transaksi_setorkasir_detail 
										  		  SET stsAktif=0, 
													  usrUpdate='".$_SESSION['strUsername']."', 
													  dtUpdate=NOW() 
										  		  WHERE transaksi_setorkasir_ID='".$_GET['id']."'
										  		  ";
										  $MySQLi->query($query); 
										break; 
		case 'daftar-tambah-detail-setor-kasir'			: $table="a_transaksi_setorkasir_detail"; $delete="Transaksi Setoran Kasir"; $menu="daftar-tambah-detail-setor-kasir&id=".$_GET['idx']; break; 
		case 'daftar-terima-kas'		: $query="SELECT PIUTANG.strKode, 
														 KASBANKGIRO.strKode AS strKodeKASBANKGIRO 
										  		  FROM a_transaksi_hutangpiutang AS PIUTANG 
										  		  LEFT JOIN a_transaksi_kasbankgiro AS KASBANKGIRO 
										  		  ON PIUTANG.transaksi_kasbankgiro_ID=KASBANKGIRO.ID 
										  		  WHERE PIUTANG.transaksi_kasbankgiro_ID='".$_GET['id']."' AND 
										  		  	    PIUTANG.stsAktif=1
										  		 "; //die($query);
										  $result=$MySQLi->query($query);
										  IF($result->num_rows <> 0)
										  { 
										  	$row=$result->fetch_array();
										  	$strKodePIUTANG=$row['strKode'];
										  	$strKodeKASBANKGIRO=$row['strKodeKASBANKGIRO'];

										  	$menu="daftar-terima-kas";
											echo '<script type="text/javascript">'; 
											echo 'alert(\'No '.$strKodeKASBANKGIRO.' ini sudah terhubung dengan '.$strKodePIUTANG.', silahkan hapus terlebih dahulu pelunasan dengan nomor '.$strKodePIUTANG.' tersebut \');'; 
											echo 'location.href = \''.$strDomain.'home/index.php?menu='.$menu.'\';'; 
											echo '</script>'; 
										  }
										  else
										  {
											  $table="a_transaksi_kasbankgiro"; $delete="Transaksi Penerimaan Kas"; $menu="daftar-terima-kas"; 
										  
											  $query="UPDATE a_transaksi_kasbankgiro_detail 
											  		  SET stsAktif=0, 
														  usrUpdate='".$_SESSION['strUsername']."', 
														  dtUpdate=NOW() 
											  		  WHERE transaksi_kasbankgiro_ID='".$_GET['id']."'
											  		  ";
											  $MySQLi->query($query); 
										  }
											break; 
		case 'daftar-tambah-detail-terima-kas'			: $table="a_transaksi_kasbankgiro_detail"; $delete="Transaksi Penerimaan Kas"; $menu="daftar-tambah-detail-terima-kas&id=".$_GET['idx']; break; 
		case 'daftar-keluar-kas'		:  $query="SELECT PIUTANG.strKode, 
														 KASBANKGIRO.strKode AS strKodeKASBANKGIRO 
										  		  FROM a_transaksi_hutangpiutang AS PIUTANG 
										  		  LEFT JOIN a_transaksi_kasbankgiro AS KASBANKGIRO 
										  		  ON PIUTANG.transaksi_kasbankgiro_ID=KASBANKGIRO.ID 
										  		  WHERE PIUTANG.transaksi_kasbankgiro_ID='".$_GET['id']."' AND 
										  		  	    PIUTANG.stsAktif=1
										  		 "; //die($query);
										  $result=$MySQLi->query($query);
										  IF($result->num_rows <> 0)
										  { 
										  	$row=$result->fetch_array();
										  	$strKodePIUTANG=$row['strKode'];
										  	$strKodeKASBANKGIRO=$row['strKodeKASBANKGIRO'];

										  	$menu="daftar-keluar-kas";
											echo '<script type="text/javascript">'; 
											echo 'alert(\'No '.$strKodeKASBANKGIRO.' ini sudah terhubung dengan '.$strKodePIUTANG.', silahkan hapus terlebih dahulu pelunasan dengan nomor '.$strKodePIUTANG.' tersebut \');'; 
											echo 'location.href = \''.$strDomain.'home/index.php?menu='.$menu.'\';'; 
											echo '</script>'; 
										  }
										  else
										  {
										  	$table="a_transaksi_kasbankgiro"; $delete="Transaksi Pengeluaran Kas"; $menu="daftar-keluar-kas"; 
											$query="UPDATE a_transaksi_kasbankgiro_detail 
											  		SET stsAktif=0, 
														usrUpdate='".$_SESSION['strUsername']."', 
														dtUpdate=NOW() 
											  		WHERE transaksi_kasbankgiro_ID='".$_GET['id']."'
											  		";
											$MySQLi->query($query); 
										  }
										break; 
		case 'daftar-tambah-detail-keluar-kas'			: $table="a_transaksi_kasbankgiro_detail"; $delete="Transaksi Pengeluaran Kas"; $menu="daftar-tambah-detail-keluar-kas&id=".$_GET['idx']; break; 
		case 'daftar-terima-bank'		: $query="SELECT PIUTANG.strKode, 
														 KASBANKGIRO.strKode AS strKodeKASBANKGIRO 
										  		  FROM a_transaksi_hutangpiutang AS PIUTANG 
										  		  LEFT JOIN a_transaksi_kasbankgiro AS KASBANKGIRO 
										  		  ON PIUTANG.transaksi_kasbankgiro_ID=KASBANKGIRO.ID 
										  		  WHERE PIUTANG.transaksi_kasbankgiro_ID='".$_GET['id']."' AND 
										  		  	    PIUTANG.stsAktif=1
										  		 "; //die($query);
										  $result=$MySQLi->query($query);
										  IF($result->num_rows <> 0)
										  { 
										  	$row=$result->fetch_array();
										  	$strKodePIUTANG=$row['strKode'];
										  	$strKodeKASBANKGIRO=$row['strKodeKASBANKGIRO'];

										  	$menu="daftar-terima-bank";
											echo '<script type="text/javascript">'; 
											echo 'alert(\'No '.$strKodeKASBANKGIRO.' ini sudah terhubung dengan '.$strKodePIUTANG.', silahkan hapus terlebih dahulu pelunasan dengan nomor '.$strKodePIUTANG.' tersebut \');'; 
											echo 'location.href = \''.$strDomain.'home/index.php?menu='.$menu.'\';'; 
											echo '</script>'; 
										  }
										  else
										  {
										  	$table="a_transaksi_kasbankgiro"; $delete="Transaksi Penerimaan Bank"; $menu="daftar-terima-bank"; 
										  	$query="UPDATE a_transaksi_kasbankgiro_detail 
										  			SET stsAktif=0, 
														usrUpdate='".$_SESSION['strUsername']."', 
														dtUpdate=NOW() 
										  			WHERE transaksi_kasbankgiro_ID='".$_GET['id']."'
										  		  ";
											$MySQLi->query($query);
										  } 
										break; 
		case 'daftar-tambah-detail-terima-bank'			: $table="a_transaksi_kasbankgiro_detail"; $delete="Transaksi Penerimaan Bank"; $menu="daftar-tambah-detail-terima-bank&id=".$_GET['idx']; break; 
		case 'daftar-keluar-bank'		: $query="SELECT PIUTANG.strKode, 
														 KASBANKGIRO.strKode AS strKodeKASBANKGIRO 
										  		  FROM a_transaksi_hutangpiutang AS PIUTANG 
										  		  LEFT JOIN a_transaksi_kasbankgiro AS KASBANKGIRO 
										  		  ON PIUTANG.transaksi_kasbankgiro_ID=KASBANKGIRO.ID 
										  		  WHERE PIUTANG.transaksi_kasbankgiro_ID='".$_GET['id']."' AND 
										  		  	    PIUTANG.stsAktif=1
										  		 "; //die($query);
										  $result=$MySQLi->query($query);
										  IF($result->num_rows <> 0)
										  { 
										  	$row=$result->fetch_array();
										  	$strKodePIUTANG=$row['strKode'];
										  	$strKodeKASBANKGIRO=$row['strKodeKASBANKGIRO'];

										  	$menu="daftar-keluar-bank";
											echo '<script type="text/javascript">'; 
											echo 'alert(\'No '.$strKodeKASBANKGIRO.' ini sudah terhubung dengan '.$strKodePIUTANG.', silahkan hapus terlebih dahulu pelunasan dengan nomor '.$strKodePIUTANG.' tersebut \');'; 
											echo 'location.href = \''.$strDomain.'home/index.php?menu='.$menu.'\';'; 
											echo '</script>'; 
										  }
										  else
										  {
										  	$table="a_transaksi_kasbankgiro"; $delete="Transaksi Pengeluaran Bank"; $menu="daftar-keluar-bank"; 
											$query="UPDATE a_transaksi_kasbankgiro_detail 
											  		SET stsAktif=0, 
														usrUpdate='".$_SESSION['strUsername']."', 
														dtUpdate=NOW() 
											  		WHERE transaksi_kasbankgiro_ID='".$_GET['id']."'
											  		";
											$MySQLi->query($query); 
										  }
										break; 
		case 'daftar-tambah-detail-keluar-bank'			: $table="a_transaksi_kasbankgiro_detail"; $delete="Transaksi Pengeluaran Bank"; $menu="daftar-tambah-detail-keluar-bank&id=".$_GET['idx']; break; 
		
		case 'daftar-jurnal-tambah-detail-terima-kas'			: $table="a_transaksi_kasbankgiro_jurnal"; $delete="Transaksi Jurnal Penerimaan Kas"; $menu="daftar-jurnal-tambah-detail-terima-kas&id=".$_GET['idx']; break; 
		case 'daftar-jurnal-tambah-detail-keluar-kas'			: $table="a_transaksi_kasbankgiro_jurnal"; $delete="Transaksi Jurnal Pengeluaran Kas"; $menu="daftar-jurnal-tambah-detail-keluar-kas&id=".$_GET['idx']; break; 
		case 'daftar-jurnal-tambah-detail-terima-bank'			: $table="a_transaksi_kasbankgiro_jurnal"; $delete="Transaksi Jurnal Penerimaan Bank"; $menu="daftar-tambah-detail-terima-bank&id=".$_GET['idx']; break; 
		case 'daftar-jurnal-tambah-detail-keluar-bank'			: $table="a_transaksi_kasbankgiro_jurnal"; $delete="Transaksi Jurnal Pengeluaran Bank"; $menu="daftar-jurnal-tambah-detail-keluar-bank&id=".$_GET['idx']; break; 

		case 'daftar-bayar-hutang'		: $table="a_transaksi_hutangpiutang"; $delete="Pembayaran Hutang"; $menu="daftar-bayar-hutang"; 
										include_once('transaksi/hutangpiutang/bayar_hutang/del.daftar.bayar.hutang.php');
										break; 
		case 'daftar-tambah-detail-bayar-hutang'	: $table="a_transaksi_hutangpiutang_detail"; $delete="Pembayaran Hutang"; $menu="daftar-tambah-detail-bayar-hutang&id=".$_GET['idx']; 
												include_once('transaksi/hutangpiutang/bayar_hutang/del.daftar.tambah.detail.bayar.hutang.php');
												break; 
		case 'daftar-bayar-cn'		: $table="a_transaksi_hutangpiutang"; $delete="Pembayaran cn"; $menu="daftar-bayar-cn"; 
										include_once('transaksi/hutangpiutang/bayar_cn/del.daftar.bayar.cn.php');
										break; 
		case 'daftar-tambah-detail-bayar-cn'	: $table="a_transaksi_hutangpiutang_detail"; $delete="Pembayaran cn"; $menu="daftar-tambah-detail-bayar-cn&id=".$_GET['idx']; break;  
												include_once('transaksi/hutangpiutang/bayar_cn/del.daftar.tambah.detail.bayar.cn.php');
												break; 
		case 'daftar-rencana-tagihan-piutang'		: $table="a_transaksi_hutangpiutang"; $delete="Rencana Penagihan Piutang"; $menu="daftar-rencana-tagihan-piutang"; 
													  $query="UPDATE a_transaksi_hutangpiutang_detail 
													  		  SET stsAktif=0, 
																  usrUpdate='".$_SESSION['strUsername']."', 
																  dtUpdate=NOW() 
													  		  WHERE transaksi_hutangpiutang_ID='".$_GET['id']."'
													  		  ";
													  		  //die($query);
													  $MySQLi->query($query); 
										break; 
		case 'daftar-tambah-detail-rencana-tagihan-piutang'			: $table="a_transaksi_hutangpiutang_detail"; $delete="Rencana Penagihan Piutang"; $menu="daftar-tambah-detail-rencana-tagihan-piutang&id=".$_GET['idx']; break; 
		case 'daftar-terima-piutang'		: $table="a_transaksi_hutangpiutang"; $delete="Pembayaran piutang"; $menu="daftar-terima-piutang"; 
										include_once('transaksi/hutangpiutang/terima_piutang/del.daftar.terima.piutang.php'); 
										break; 
		case 'daftar-tambah-detail-terima-piutang'	: $table="a_transaksi_hutangpiutang_detail"; $delete="Pembayaran piutang"; $menu="daftar-tambah-detail-terima-piutang&id=".$_GET['idx'];
												include_once('transaksi/hutangpiutang/terima_piutang/del.daftar.tambah.detail.terima.piutang');
												break; 
		case 'daftar-packing-list'		: $table="a_transaksi_packinglist"; $delete="Transaksi Packing"; $menu="daftar-packing-list"; 
										  $query="UPDATE a_transaksi_packinglist_detail 
										  		  SET stsAktif=0, 
													  usrUpdate='".$_SESSION['strUsername']."', 
													  dtUpdate=NOW() 
										  		  WHERE transaksi_packinglist_ID='".$_GET['id']."'
										  		  ";
										  $MySQLi->query($query); 
										break; 
		case 'daftar-tambah-detail-packing-list'	: $table="a_transaksi_packinglist_detail"; $delete="Transaksi Packing"; $menu="daftar-tambah-detail-packing-list&id=".$_GET['idx']; break; 
	} 

	$query="UPDATE ".$table." 
			SET stsAktif=0, 
				usrUpdate='".$_SESSION['strUsername']."', 
				dtUpdate=NOW() 
			WHERE ID='".$_GET['id']."' 
			"; 
	$MySQLi->query($query); 
	if($MySQLi->affected_rows != 0) 
	{ 
		
		echo '<script type="text/javascript">'; 
		echo 'alert(\'Data '.$delete.' berhasil dihapus \');'; 
		echo 'location.href = \''.$strDomain.'home/index.php?menu='.$menu.'\';'; 
		echo '</script>'; 
	} 
} 
?> 